using System;
using System.Collections.Generic;
using System.Text;
using Tesseract;

namespace InterpreterLibrary.Models
{
    class BallotTemplateEngine
    {
        
        
        private string[] _templateCandidates;
        private TesseractEngine _ocrEngine;

        public BallotTemplateEngine(TesseractEngine ocrEngine, params string[] templateCandidates)
        {
            _ocrEngine = ocrEngine;
            _templateCandidates = templateCandidates;
        }

        public object Process(byte[] firstImageBytes, byte[] secondImageBytes)
        {
            var sbp = new ScannedBallotPaper(firstImageBytes, secondImageBytes, _ocrEngine, _templateCandidates);
            if (!sbp.MatchTemplate())
            {
                return null; 
            }


            throw new NotImplementedException();
        }
    }
}

